Page MenuHomePhabricator

Use gzip transfer encoding for SVG files from MediaWiki static assets
Closed, ResolvedPublic

Description

See also bug T56291 for related config for upload.wikimedia.org.

We're using more and more little SVG files for style effects and icons used in MediaWiki client-side code; when not directly embedded in CSS these get loaded as static files off of bits.wikimedia.org and by default are not compressed, for example http://bits.wikimedia.org/static-1.23wmf13/extensions/CirrusSearch/cirrus-beta.svg on the beta features page.

While these are often not huge, they do compress very well (as XML source) and it'd be nice to auto-compress them on the wire.


URL: http://bits.wikimedia.org/static-1.23wmf13/extensions/CirrusSearch/cirrus-beta.svg
See Also:
T6947: SVGZ (gzipped SVG) support
T56291: Apply Transfer-encoding: gzip to SVG files from upload.wikimedia.org

Details

Reference
bz61442

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 2:59 AM
bzimport set Reference to bz61442.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Feb 16 2014, 6:56 PM

Change 113687 had a related patch set uploaded by Brion VIBBER:
Work in progress: set .svg and .ico files to be compressed on bits.wikimedia.org

https://gerrit.wikimedia.org/r/113687

matej_suchanek removed a project: Patch-For-Review.
matej_suchanek set Security to None.
matej_suchanek removed a subscriber: wikibugs-l-list.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 27 2016, 10:02 AM
Krinkle renamed this task from Use gzip transfer encoding for SVG files on bits.wikimedia.org to Use gzip transfer encoding for SVG files from MediaWiki static assets.Apr 18 2016, 8:41 PM
Krinkle closed this task as Resolved.
Krinkle claimed this task.
Krinkle added a subscriber: Krinkle.
Krinkle edited projects, added Operations; removed TestMe.Apr 18 2016, 8:43 PM